textures/wanker2_misc/slick
{
    q3map_lightImage textures/wanker_main/noodglass3c.tga
    qer_editorImage textures/wanker_main/qe_icy.tga
	q3map_surfaceLight 200
	q3map_lightsubdivide 128
    surfaceparm slick
    {
        map textures/wanker_main/wood17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/wanker_main/noodglass3c.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
    }
}


textures/wanker2_misc/wood07_nonsolid
{
	qer_editorimage textures/wanker_main/wood07.tga
    qer_trans 0.3
    surfaceparm nonsolid
	{
		map textures/wanker_main/wood07.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/wanker2_misc/water
{
	qer_editorimage textures/wanker_main/waterbright.tga
	qer_trans 0.6
	q3map_lightImage textures/wanker_main/waterdark.tga
	q3map_surfacelight 200
	q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm detail
	q3map_tcMod scale 0.5 0.5
	cull disable
	tessSize 92
	deformVertexes wave 132 Sin 3.0 1.5 4.0 0.16
	deformVertexes bulge 15 2 1
	q3map_globaltexture
	{
		map textures/wanker_main/waterbright.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		tcMod turb 0.8 0.09 0.1 0.03
	}
	{
		map textures/wanker_main/waterbright.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
		tcMod turb 0.4 0.18 0.05 0.015
	}
	{
		map textures/wanker_main/waterdark.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcMod turb 0.9 0.1 0.8 0.034
	}
}


textures/wanker2_misc/yellowsky
{
	qer_editorimage textures/wanker_main/sky02

	q3map_backsplash 0 0
	q3map_lightmapFilterRadius	0 8
	
	q3map_sunExt 0.909 0.714 0.373 200 50 60 3 12
	q3map_skyLight	165 5   
	q3map_lightRGB	0.94 0.91 0.85

	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/wanker_main/sky02 - -
	
	{
		map textures/wanker_main/storm.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		rgbGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		map textures/wanker_main/clouds1.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcmod scale 1.75 1.75
		tcMod scroll -0.008 0.009
	}
	{
		map textures/wanker_main/clouds2.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcmod scale 1.85 1.85
		tcMod scroll -0.01 0.011
	}
}

textures/wanker2_misc/slick_nonsolid
{
    q3map_lightImage textures/wanker_main/noodglass3c.tga
    qer_editorImage textures/wanker_main/qe_icy_overlap.tga
	q3map_surfaceLight 200
	q3map_lightsubdivide 128
    surfaceparm slick
	surfaceparm nonsolid
    {
        map textures/wanker_main/wood17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/wanker_main/noodglass3c.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
    }
}

textures/wanker2_misc/wall_nonsolid
{
    qer_editorImage textures/wanker_main/qe_wall_overlap.tga
	surfaceparm nonsolid
    {
        map textures/wanker_main/stone2.tga
    }
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
    }
}

textures/wanker2_misc/floor_stone1_nonsolid
{
    qer_editorImage textures/wanker_main/floor_stone1.tga
	qer_trans 0.9
    surfaceparm slick
	surfaceparm nonsolid
    {
        map textures/wanker_main/floor_stone1.tga
    }
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
    }
}

textures/wanker2_misc/wall_slick
{
	qer_editorImage textures/wanker_main/stone2.tga
    surfaceparm slick
    {
        map textures/wanker_main/stone2.tga
    }
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
    }
}

textures/wanker_main/stone2:q3map
{
	surfaceparm slick
}

textures/wanker2_misc/timer_slick
{
	qer_editorImage textures/wanker_main/stone2timer.tga
    surfaceparm slick
    {
        map textures/wanker_main/stone2timer.tga
    }
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
    }
}

textures/wanker2_misc/light2_600
{
	qer_editorimage textures/wanker_main/light2.tga
	q3map_lightImage textures/wanker_main/light2.tga
	q3map_surfacelight 800
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wanker_main/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wanker_main/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/wanker2_misc/light2_b
{
	qer_editorimage textures/wanker_main/light2.tga
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wanker_main/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wanker_main/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/wanker2_misc/light1_b
{
	qer_editorimage textures/wanker_main/light1.tga
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wanker_main/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wanker_main/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/wanker2_misc/welcome
{
    qer_editorimage textures/wanker_dumb/welcome.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/welcome.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/ways
{
    qer_editorimage textures/wanker_dumb/ways.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/ways.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/thx
{
    qer_editorimage textures/wanker_dumb/thx.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/thx.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/ways2
{
    qer_editorimage textures/wanker_dumb/ways2.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/ways2.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/autism
{
    qer_editorimage textures/wanker_dumb/autism.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/autism.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/numbers
{
    qer_editorimage textures/wanker_dumb/numbers.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/numbers.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/x
{
    qer_editorimage textures/wanker_dumb/x.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/x.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/iv
{
    qer_editorimage textures/wanker_dumb/iv.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/iv.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/viii
{
    qer_editorimage textures/wanker_dumb/viii.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/viii.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/vi
{
    qer_editorimage textures/wanker_dumb/vi.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/vi.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/wanker2_misc/vii
{
    qer_editorimage textures/wanker_dumb/vii.tga
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/wanker_dumb/vii.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}